recipes/config/routes.rb
Rails.application.routes.draw do
  devise_for :users, controllers: {registrations: 'registrations'}

  resources :users, only: [:show] do
    member do
      post 'create_favorite'
      delete 'delete_favorite'
    end
  end

  resources :recipes do
    member do
      get 'send_to_friend', as: :send_to_friend
      post 'mail_to_friend', as: :mail_to_friend
    end
  end

  resources :food_preferences, only: [:show, :new, :create]
  resources :food_types, only: [:show, :new, :create]
  resources :kitchens, only: [:show, :new, :create]
  root 'recipes#index'

end

recipes/app/controllers/food_types_controller.rb
class FoodTypesController < ApplicationController
  before_action :only_admin!, only: [:new, :create]
  def show
    @food_type = FoodType.find(params[:id]).decorate
  end

  def new
    @food_type = FoodType.new
  end

  def create
    @food_type = FoodType.create food_type_params
    respond_with @food_type
  end

  private

  def food_type_params
    params.require(:food_type).permit(:name)
  end
end

recipes/app/views/food_types/_food_type.html.erb
<%= link_to food_type.name, food_type_path(food_type), class: 'btn aside-link' %>

recipes/app/views/food_types/new.html.erb
<section class='col-md-4 col-xs-12'>
  <div class='errors alert'>
    <% if @food_type.errors.any? %>
      <% @food_type.errors.full_messages.each do |err| %>
        <%= err %>
      <% end %>
    <% end %>
  </div>
  <div class='form'>
    <%= form_for @food_type do |f| %>
      <div class='field form-group'>
        <%= f.label :name %>
        <%= f.text_field :name, class:'form-control' %>
      </div>

      <div class='field form-group'>
        <%= f.submit 'Criar novo tipo de comida', class:'btn btn-default' %>
      </div>

    <% end %>
  </div>
</section>

recipes/app/views/food_types/show.html.erb
<%=  @food_type.list_recipes %>